Subject: Re: [Tigers] Carbs & Fuel Pumps

From: "csx2282" <[email-masked]>
Date: Mon, 10 Jun 2013 19:34:34 -0700

According to the 1965 Ford Service Specification for Cars and Trucks, fuel 
pump pressure at 500 RPM for 260 & 289 CID engines is 4-6PSI, 1 pint of fuel 
within 20 seconds; minimum intake vacuum in inches of mercury 6.0.

Regarding the carburetor rebuild, since it's off the engine do the full 
Monty.  The extra effort is trivial compared to having to remove it a second 
time in case a partial fix doesn't solve the problem.

I have a Facet pump which has been working fine for quite a few years.  I 
bought mine from Aircraft Spruce.  I figured if it was safe and reliable 
enough for aircrafts, it should be okay for my car.  They are available in 
various pressure ranges.

Roland 
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]